import request from '@/utils/request'

// 查询调压箱目录中间列表
export function listRegulatorBoxRelation(query) {
  return request({
    url: '/gas/regulatorBoxRelation/list',
    method: 'get',
    params: query
  })
}
// 查询我的调压箱目录
export function myListRegulatorBox(query) {
  return request({
    url: '/gas/pressureRegulatingBox/myList',
    method: 'get',
    params: query
  })
}

// 查询调压箱目录中间详细
export function getRegulatorBoxRelation(id) {
  return request({
    url: '/gas/regulatorBoxRelation/' + id,
    method: 'get'
  })
}

// 新增调压箱目录中间
export function addRegulatorBoxRelation(data) {
  return request({
    url: '/gas/regulatorBoxRelation',
    method: 'post',
    data: data
  })
}

// 修改调压箱目录中间
export function updateRegulatorBoxRelation(data) {
  return request({
    url: '/gas/regulatorBoxRelation',
    method: 'put',
    data: data
  })
}

// 删除调压箱目录中间
export function delRegulatorBoxRelation(id,jobNum) {
  return request({
    url: '/gas/regulatorBoxRelation/' + id + '/' + jobNum,
    method: 'delete'
  })
}
